#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
vector<int> v;
vector<double> v1;
#define pb push_back
int main(){
    int a,niz,ij=0;
    double niz1,s[20000],najveci=0;;
    cin>>a;
    for(int i=0;i<a;++i){
        cin>>niz;
        cin>>niz1;
        v.pb(niz);
        v1.pb(niz1);
    }
    //sort(v1.begin(),v1.end());
    for(int i=0;i<a;++i){
        for(int j=0;j<a;++j){
            if(v1[i]<=v1[j]){
                s[ij]+=v1[i]*v[j];
            }
        }
        if(s[ij]>najveci){
            najveci=s[ij];
        }
        ++ij;
    }
    //sort(s,s+ij);
    cout<<najveci;
    return 0;
}